%define lib_major       2
%define lib_name        %mklibname cairo %{lib_major}


Summary:	Cairo - multi-platform 2D graphics library
Name:		cairo
Version: 1.4.2
%define subrel	1
Release: %mkrel 1
License:	BSD
Group:		System/Libraries
Source0:	http://cairographics.org/releases/%name-%version.tar.bz2
# (fc) 1.3.14-4mdv fix bad aliasing
Patch0:		cairo-1.3.14-fixaliasing.patch
Patch1:		cairo-1.4.2-ubu-CVE-2007-5503.patch
Patch2:		cairo-1.4.2-git-ubu-fix_zero_sized_bitmap_handling.patch

URL:		http://cairographics.org/
BuildRequires:  freetype2-devel >= 2.1.10
%if %mdkversion <= 200600
BuildRequires:	XFree86-devel
BuildRequires:  XFree86-Xvfb
%else
BuildRequires:  libxext-devel
BuildRequires:  libx11-devel
BuildRequires:	libxrender-devel
BuildRequires:	libfontconfig-devel
BuildRequires:  x11-server-xvfb
%endif

BuildRequires:	libpng-devel
# only needed for pdf tests
#BuildRequires:	libpango-devel >= 1.13.0
BuildRequires:  gtk-doc
# needed by tests
BuildRequires: fonts-ttf-bitstream-vera
BuildRoot:	%_tmppath/%name-%version-root

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}
Summary:	Cairo - multi-platform 2D graphics library
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}
Requires:	freetype2 >= 2.1.10

%description -n %{lib_name}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}-devel
Summary:	Development files for Cairo library
Group:		Development/C
Requires:	%{lib_name} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Conflicts:	%{_lib}cairo1-devel

%description -n %{lib_name}-devel
Development files for Cairo library.

%package -n %{lib_name}-static-devel
Summary:	Static Cairo library
Group:		Development/C
Requires:	%{lib_name}-devel = %version
Provides:	lib%name-static-devel = %version

%description -n %{lib_name}-static-devel
Static Cairo library.


%prep
%setup -q
%patch0 -p1 -b .fixaliasing
%patch1 -p1 -b .cve-2007-5503
%patch2 -p1 -b .fix-zero-sized

%build
%configure2_5x --enable-gtk-doc  --disable-glitz --enable-pdf --enable-ps --disable-xcb
%make

%check
#XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%if %mdkversion <= 200600
#%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
%else
#%{_bindir}/Xvfb :$XDISPLAY &
%endif
#export DISPLAY=:$XDISPLAY
#make check
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README TODO
%_libdir/lib*.so.*

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*.la
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/cairo/

%files -n %{lib_name}-static-devel
%defattr(644,root,root,755)
%_libdir/lib*.a


%changelog
* Mon Jan 21 2008 Vincent Danen <vdanen@mandriva.com> 1.4.2-1.1mdv2007.1
- P1: security fix for CVE-2007-5503
- P2: fix handling of bitmaps with 0 sized width and rows

* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.2-1mdv2007.1
+ Revision: 146893
- Release 1.4.2 (many crash fixes)

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdv2007.1
+ Revision: 146600
- bump release
- package smaller NEWS instead of BIG less usefull ChangeLog

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 133635
- Release 1.4.0

* Mon Mar 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.16-1mdv2007.1
+ Revision: 133092
-Release 1.3.16
-update patch0 to fix strict aliasing on x86-64 too
-drop additional cflags

* Fri Mar 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.14-5mdv2007.1
+ Revision: 131588
- bump release
- really fix aliasing bug by compiling with -fno-strict-aliasing
  (patch0 is not enough for x86_64) (#27560)

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.14-4mdv2007.1
+ Revision: 131043
- Patch0: fix aliasing (with help from gb) (Mdv bug #27560)

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.3.14-3mdv2007.1
+ Revision: 122248
- rebuild to fix pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 1.3.14-2mdv2007.1
+ Revision: 122123
- rebuild for pkgconfig provides

* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.14-1mdv2007.1
+ Revision: 121316
- Release 1.3.14

* Fri Feb 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-2mdv2007.1
+ Revision: 118385
-Patch0 (GIT): fix crash when RENDER isn't available (fdo bug #9893)

* Mon Jan 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-1mdv2007.1
+ Revision: 111991
-Release 1.3.12
-Disable tests, they don't pass upstream right now

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.10-1mdv2007.1
+ Revision: 102297
- Release 1.3.10
  Remove patch0, merged upstream
  enable tests at build time, they should pass on iurt now

* Fri Dec 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.8-1mdv2007.1
+ Revision: 97437
- Release 1.3.8
  Patch0: fix symbol check on OPD platform

* Fri Dec 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-3mdv2007.1
+ Revision: 93845
- Disable test for now, they don't pass in iurt (seems font related)
- Force rebuild
- Enable back Xvfvb BR
- Release 1.3.6
- Enable tests, they pass now

* Fri Dec 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.3.4-1mdv2007.1
+ Revision: 89847
- Release 1.3.4
- Add check but disabled for now (doesn't pass all tests)

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.1
+ Revision: 76093
- Import cairo



* Fri Nov  3 2006 Gtz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.1
- drop patch
- New version 1.2.6

* Tue Aug 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-2mdv2007.0
- Patch0 (GIT): various fixes, including Mdv bug #24298

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.4-1mdv2007.0
- Release 1.2.4

* Wed Aug  9 2006 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- drop patches
- New release 1.2.2

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-3mdv2007.0
- Patch1 (GIT): fix broken text when antialiasing is disabled (Mdv bug #23823)

* Wed Jul 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-2mdv2007.0
- Patch0 (GIT): remove Xsync from surface_flush

* Mon Jul  3 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.10-1mdv2007.0
- Release 1.1.10

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.8-1mdv2007.0
- Release 1.1.8

* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.7-0.1mdv2007.0
- new snapshot (20060613)
- Remove patch5, no longer needed

* Wed Jun  7 2006 Gtz Waschk <waschk@mandriva.org> 1.1.6-2mdv2007.0
- fix buildrequires

* Wed May 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-1mdv2007.0
- Release 1.1.6
- enable pdf and ps backends (needed for gtk)
- Regenerate patch5

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.4-3mdk
- add BuildRequires: libxrender-devel libfontconfig-devel

* Tue May 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2
- Rebuild with new xorg

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- drop patch 4
- source URL
- New release 1.0.4

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-3mdk
- use mkrel
- Remove patch9, bug is workarounded with gtk+ >= 2.8.12

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.2-2mdk
- Rebuild

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 6, 7, 8, 10, 11 (merged upstream)

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-8mdk 
- Patch10 (CVS): don't use SSE on MMX non SSE CPU
- Patch11 (CVS): fix X error with null pixmaps

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-7mdk
- add provides to the devel package

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-6mdk 
- Patch9: disable XRender Composite, unless CAIRO_ENABLE_XRENDER_COMPOSITE 
  environment variable is set to 1

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-5mdk 
- Patch7 (CVS): better handle agressive inlining and omit-frame-pointer
- Patch8 (CVS): simplify rectangular trapezoids check

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-4mdk 
- Patch6: fix detection of X with broken render

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-3mdk
- Patch5: add support for artificial oblique

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdk 
- Explicitly disable all unstable backends (they are already disabled)

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdk 
- Release 1.0.0 (champagne :)
- Remove patches 0, 1, 2, 3 (merged upstream)

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-7mdk 
- Remove test warnings from patch2
- Patch4 : fix subpixel for BGR/vBGR LCD screen 

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-6mdk 
- Add explicit requires on freetype 2.1.10 (needed for embolding)

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-5mdk 
- Patch3 (CVS): fix null surface crash (seen in qt-gtk engine)
- Patch2 (Sunmoon): add artificial embolding support

* Wed Aug 17 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.2-4mdk
- Patch1 (CVS): fix another crash, this one seen in Evince

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-3mdk 
- Patch0 (CVS): fix crash in fontconfig font, as seen in Eclipse

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-2mdk 
- Add conflicts to ease upgrade

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- New release 0.9.2

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- major 2
- New release 0.9.0

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- New release 0.6.0

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Mon Jun 27 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- enable gtk doc
- New release 0.5.0

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- add docs
- bump deps
- drop patch
- New release 0.4.0

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.0-2mdk
- add BuildRequires: libpng-devel (for oregano)
- Patch1: glitz 0.4.0 support

* Fri Jan 28 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- New release 0.3.0

* Wed Nov 24 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 0.2.0-2mdk
- reenable aclocal, autoheader, autoconf,  automake so that it build
  properly on Mandrake 10.0

* Fri Nov 12 2004 Marcel Pol <mpol@mandrake.org> 0.2.0-1mdk
- 0.2.0
- build against glitz

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.23-1mdk
- 0.1.23
- reenable libtoolize

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.22-1mdk
- fix devel provides
- drop redundant buildrequires
- requires new pixman
- autoconf 2.5 macro
- New release 0.1.22

* Fri Feb 06 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-2mdk
- build with X11

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-1mdk
- 0.1.17
- provides cairo
- drop patch, use --disable-xlib
- buildrequires
- don't run libtoolize

* Sun Dec 14 2003 Marcel Pol <mpol@mandrake.org> 0.1.13-1mdk
- initial mandrake package
